NitfHeader (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.nitf
Class NitfHeader

    java.lang.Object
      com.bbn.openmap.layer.nitf.NitfHeader

    public class NitfHeader

extends java.lang.Object

The NitfHeader reads the header information in a NITF (National Imagery Transmission Format) and makes the section location information available.

Nested Class Summary
`static class` | `NitfHeader.NitfDataExtDescription`
`static class` | `NitfHeader.NitfHeaderAmounts`
`static class` | `NitfHeader.NitfImageDescription`
`static class` | `NitfHeader.NitfLabelDescription`
`static class` | `NitfHeader.NitfResExtDescription`
`static class` | `NitfHeader.NitfSymbolsDescription`
`static class` | `NitfHeader.NitfTextDescription`
`static class` | `NitfHeader.NitfUserDef`

Field Summary
`java.lang.String` | `CLEVEL` Compliance Level
`java.lang.String` | `ENCRYP` Encryption
`java.lang.String` | `FDT` File Date and Time
`java.lang.String` | `FHDR` File type and Version
`java.lang.String` | `FL` File Length
`java.lang.String` | `FSCAUT` File Classification Authority
`java.lang.String` | `FSCLAS` File Security Classification
`java.lang.String` | `FSCODE` File Codewords
`java.lang.String` | `FSCOP` Message Copy Number
`java.lang.String` | `FSCPYS` Message Number of Copies
`java.lang.String` | `FSCTLH` File Control and Handling
`java.lang.String` | `FSCTLN` File Security Control Number
`java.lang.String` | `FSDEVT` File Downgrading Event
`java.lang.String` | `FSDWNG` File Security Downgrade
`java.lang.String` | `FSREL` File Releasing Instructions
`java.lang.String` | `FTITLE` File Title
`java.lang.String` | `HL` NITF File Header Length
`NitfHeader.NitfHeaderAmounts` | `nha`
`static int` | `NITF_DATAEXT_DES_SIZE`
`static int` | `NITF_IMAGE_DES_SIZE`
`static int` | `NITF_LABELS_DES_SIZE`
`static int` | `NITF_RESEXT_DES_SIZE`
`static int` | `NITF_SYMBOLS_DES_SIZE`
`static int` | `NITF_TEXT_DES_SIZE`
`static int` | `NITF_USERDEF_SIZE`
`NitfHeader.NitfUserDef` | `nud`
`java.lang.String` | `ONAME` Originator's Name
`java.lang.String` | `OPHONE` Originator's Phone Number
`java.lang.String` | `OSTAID` Originating Station ID
`java.lang.String` | `STYPE` System Type

Constructor Summary
`NitfHeader()`

Method Summary
`static void` | `main(java.lang.String[] args)`
`boolean` | `read(BinaryFile binFile)` Reads the header part of the file.
`protected NitfHeader.NitfHeaderAmounts` | `readSectionInfo(BinaryFile binFile)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NITF_IMAGE_DES_SIZE

    public static final int NITF_IMAGE_DES_SIZE

See Also:
  Constant Field Values

### NITF_SYMBOLS_DES_SIZE

    public static final int NITF_SYMBOLS_DES_SIZE

See Also:
  Constant Field Values

### NITF_LABELS_DES_SIZE

    public static final int NITF_LABELS_DES_SIZE

See Also:
  Constant Field Values

### NITF_TEXT_DES_SIZE

    public static final int NITF_TEXT_DES_SIZE

See Also:
  Constant Field Values

### NITF_DATAEXT_DES_SIZE

    public static final int NITF_DATAEXT_DES_SIZE

See Also:
  Constant Field Values

### NITF_RESEXT_DES_SIZE

    public static final int NITF_RESEXT_DES_SIZE

See Also:
  Constant Field Values

### NITF_USERDEF_SIZE

    public static final int NITF_USERDEF_SIZE

See Also:
  Constant Field Values

### FHDR

    public java.lang.String FHDR

  File type and Version

### CLEVEL

    public java.lang.String CLEVEL

  Compliance Level

### STYPE

    public java.lang.String STYPE

  System Type

### OSTAID

    public java.lang.String OSTAID

  Originating Station ID

### FDT

    public java.lang.String FDT

  File Date and Time

### FTITLE

    public java.lang.String FTITLE

  File Title

### FSCLAS

    public java.lang.String FSCLAS

  File Security Classification

### FSCODE

    public java.lang.String FSCODE

  File Codewords

### FSCTLH

    public java.lang.String FSCTLH

  File Control and Handling

### FSREL

    public java.lang.String FSREL

  File Releasing Instructions

### FSCAUT

    public java.lang.String FSCAUT

  File Classification Authority

### FSCTLN

    public java.lang.String FSCTLN

  File Security Control Number

### FSDWNG

    public java.lang.String FSDWNG

  File Security Downgrade

### FSDEVT

    public java.lang.String FSDEVT

  File Downgrading Event

### FSCOP

    public java.lang.String FSCOP

  Message Copy Number

### FSCPYS

    public java.lang.String FSCPYS

  Message Number of Copies

### ENCRYP

    public java.lang.String ENCRYP

  Encryption

### ONAME

    public java.lang.String ONAME

  Originator's Name

### OPHONE

    public java.lang.String OPHONE

  Originator's Phone Number

### FL

    public java.lang.String FL

  File Length

### HL

    public java.lang.String HL

  NITF File Header Length

### nha

    public NitfHeader.NitfHeaderAmounts nha

### nud

    public NitfHeader.NitfUserDef nud

Constructor Detail

### NitfHeader

    public NitfHeader()

Method Detail

### read

    public boolean read(BinaryFile binFile)

  Reads the header part of the file. Will seek automatically to the beginning of the file.

  Parameters:
    `binFile` - BinaryFile, opened on the NITF file.

### readSectionInfo

    protected NitfHeader.NitfHeaderAmounts readSectionInfo(BinaryFile binFile)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### main

    public static final void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details